# $Revision: 1.86 $, $Date: 2009/07/11 19:56:30 $
#
# WARNING: BETA versions of openmotif are using higher soname
# than STABLE one so please don't use beta versions here because
# when stable version somes out everything would need to be recompiled
# using ,,stable soname''. Check out CURRENT= in configure.{in,ac}.
#
Summary:	OpenMotif
Summary(pl.UTF-8):	OpenMotif
Name:		openmotif
Version:	2.3.2
Release:	3
License:	Open Group Public License
Group:		X11/Libraries
Source0:	ftp://ftp.ics.com/openmotif/2.3/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	bf5479d52bc114d299200ec20e463e96
#Source1:	%{name}-%{version}-icsextra.tgz
Source2:	mwmrc
Source3:	mwm.RunWM
Source5:	mwm-xsession.desktop
Source6:	ac_find_motif.m4
Patch0:		%{name}-makedepend.patch
Patch1:		%{name}-mwmrc.patch
Patch2:		%{name}-bison.patch
Patch3:		%{name}-freetype.patch
Patch4:		%{name}-parbuild.patch
URL:		http://www.openmotif.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXp-devel
Requires:	%{name}-libs = %{version}-%{release}
Provides:	motif = 2.3
# Not restricted, lesstif provided library version 1.2
# OpenMotif provide library version 2.1
#Obsoletes:	lesstif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%define		xbitmapsdir	%{_includedir}/X11/bitmaps
%define		xlibdir		%{_libdir}/X11

%description
Motif is the user interface standart in the Enterprise for
applications that run on UNIX platforms for Sun, HP, IBM, Compaq, SGI,
and others.

%description -l pl.UTF-8
Motif jest standardem wyglądu interfejsu graficznego dla aplikacji
działających w środowiskach UNIX takich jak Sun, HP, IBM, Compaq, SGI
i inne.

%package clients
Summary:	OpenMotif clients
Summary(pl.UTF-8):	OpenMotif - programy klienckie
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	lesstif-clients

%description clients
Uil and xmbind.

%description clients -l pl.UTF-8
uil i xmbind.

%package libs
Summary:	OpenMotif shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone OpenMotif
Group:		Libraries
Conflicts:	openmotif < 2.2.3-0.3

%description libs
OpenMotif shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone OpenMotifa.

%package devel
Summary:	OpenMotif devel
Summary(pl.UTF-8):	Pliki nagłówkowe OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXp-devel
Provides:	motif-devel = 2.3
Obsoletes:	lesstif-devel

%description devel
Header files for OpenMotif.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla bibliotek OpenMotif.

%package static
Summary:	OpenMotif static
Summary(pl.UTF-8):	Statyczne biblioteki OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	motif-static = 2.3
Obsoletes:	lesstif-static

%description static
OpenMotif static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenMotifa.

%package demos
Summary:	OpenMotif demos
Summary(pl.UTF-8):	Programy demonstracyjne do OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description demos
OpenMotif demos.

%description demos -l pl.UTF-8
Programy demonstracyjne OpenMotifa.

%package mwm
Summary:	Motif window manager
Summary(pl.UTF-8):	Motifowy zarządca okien
Group:		X11/Window Managers
Requires:	%{name} = %{version}-%{release}
Obsoletes:	lesstif-mwm

%description mwm
A BETA release of mwm. It is derived from fvwm, with a new parser that
understands mwmrc syntax, and a general understanding of Mwm
resources.

%description mwm -l pl.UTF-8
Wersja BETA mwm. Pochodzi z fvwm, ma nowy parser rozumiejący składnię
mwmrc oraz zasoby Mwm.

%package compat
Summary:	Fake OpenMotif compat libraries
Summary(pl.UTF-8):	Dowiązania udające biblioteki kompatybilności OpenMotif
Group:		Libraries
Requires:	%{_libdir}/libXm.so.4.0.2
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libXm.so.1()(64bit)
Provides:	libXm.so.2()(64bit)
Provides:	libXm.so.3()(64bit)
%else
Provides:	libXm.so.1
Provides:	libXm.so.2
Provides:	libXm.so.3
%endif

%description compat
Fake OpenMotif compat libraries (symlinks to current libXm library,
_some_ old programs may work with them).

%description compat -l pl.UTF-8
Dowiązania udające biblioteki kompatybilności OpenMotif (dowiązania
symboliczne do nowej wersji biblioteki libXm, _niektóre_ stare
programy mogą z nimi działać).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	--enable-shared \
	--enable-static \
	--enable-themes \
	--enable-xft \
	--enable-jpeg \
	--enable-png \
	--with-fontconfig-config="pkg-config fontconfig"

%{__make} clean
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/motif,%{_datadir}/xsessions} \
	$RPM_BUILD_ROOT{/etc/{sysconfig/wmstyle,X11/mwm},%{_aclocaldir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bmdir=%{xbitmapsdir} \
	bindir=%{_bindir} \
	binddir=%{xlibdir}/bindings

cd demos
# breaks -bi --short-circuit !
%{__make} clean
cp -a * $RPM_BUILD_ROOT%{_examplesdir}/motif
rm -rf $RPM_BUILD_ROOT%{_datadir}/Xm
cd ..
mv -f $RPM_BUILD_ROOT%{_bindir}/{,openmotif-}column || :
mv -f $RPM_BUILD_ROOT%{_bindir}/{,openmotif-}tree || :

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/mwm/system.mwmrc

install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/mwm.sh
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/xsessions/mwm.desktop
install %{SOURCE6} $RPM_BUILD_ROOT%{_aclocaldir}

ln -sf libXm.so.4.0.2 $RPM_BUILD_ROOT%{_libdir}/libXm.so.3
ln -sf libXm.so.4.0.2 $RPM_BUILD_ROOT%{_libdir}/libXm.so.2
ln -sf libXm.so.4.0.2 $RPM_BUILD_ROOT%{_libdir}/libXm.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE COPYRIGHT.MOTIF RELNOTES
%{xbitmapsdir}/*
%{xlibdir}/bindings

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uil*
%attr(755,root,root) %{_bindir}/xmbind
%{_mandir}/man1/uil.1*
%{_mandir}/man1/xmbind.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libMrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libMrm.so.4
%attr(755,root,root) %{_libdir}/libUil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libUil.so.4
%attr(755,root,root) %{_libdir}/libXm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXm.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libMrm.so
%attr(755,root,root) %{_libdir}/libUil.so
%attr(755,root,root) %{_libdir}/libXm.so
%{_libdir}/libMrm.la
%{_libdir}/libUil.la
%{_libdir}/libXm.la
%{_includedir}/Mrm
%{_includedir}/Xm
%{_includedir}/uil
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_aclocaldir}/ac_find_motif.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libMrm.a
%{_libdir}/libUil.a
%{_libdir}/libXm.a

%files demos
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/DNDDemo
%attr(755,root,root) %{_bindir}/airport
%attr(755,root,root) %{_bindir}/autopopups
%attr(755,root,root) %{_bindir}/bboxdemo
%attr(755,root,root) %{_bindir}/colordemo
%attr(755,root,root) %{_bindir}/openmotif-column
%attr(755,root,root) %{_bindir}/combo
%attr(755,root,root) %{_bindir}/draw
%attr(755,root,root) %{_bindir}/earth
%attr(755,root,root) %{_bindir}/ext18list
%attr(755,root,root) %{_bindir}/filemanager
%attr(755,root,root) %{_bindir}/fileview
%attr(755,root,root) %{_bindir}/fontsel
%attr(755,root,root) %{_bindir}/getsubres
%attr(755,root,root) %{_bindir}/helloint
%attr(755,root,root) %{_bindir}/hellomotif
%attr(755,root,root) %{_bindir}/i18ninput
%attr(755,root,root) %{_bindir}/iconbuttondemo
%attr(755,root,root) %{_bindir}/outline
%attr(755,root,root) %{_bindir}/paned
%attr(755,root,root) %{_bindir}/panner
%attr(755,root,root) %{_bindir}/periodic
%attr(755,root,root) %{_bindir}/piano
%attr(755,root,root) %{_bindir}/sampler2_0
%attr(755,root,root) %{_bindir}/setDate
%attr(755,root,root) %{_bindir}/simpleDemo
%attr(755,root,root) %{_bindir}/simpledrop
%attr(755,root,root) %{_bindir}/tabstack
%attr(755,root,root) %{_bindir}/todo
%attr(755,root,root) %{_bindir}/tooltips
%attr(755,root,root) %{_bindir}/openmotif-tree
%attr(755,root,root) %{_bindir}/wsm
%attr(755,root,root) %{_bindir}/xmanimate
%{_examplesdir}/motif

%files mwm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mwm
%dir %{_sysconfdir}/X11/mwm
%config %{_sysconfdir}/X11/mwm/*
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
%{_datadir}/xsessions/mwm.desktop
%{_mandir}/man1/mwm.1*
%{_mandir}/man4/*

%files compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXm.so.1
%attr(755,root,root) %{_libdir}/libXm.so.2
%attr(755,root,root) %{_libdir}/libXm.so.3

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openmotif.spec,v $
Revision 1.86  2009/07/11 19:56:30  arekm
- release 3

Revision 1.85  2009/07/03 19:07:18  hawk
- fixed R: libXm.so.*

Revision 1.84  2009/06/21 00:58:21  gotar
- fixed compat symlinks

Revision 1.83  2009/06/21 00:54:19  gotar
- upgraded to 2.3.2 (from pre-2.3.1! final release was 2.3.1-1);
- pass bindir for demos/programs (default ${prefix}/share/Xm since 2.3.1)
- libtool patch in sources since final 2.3.1 too,
- BR: libuuid-devel (libXm.la only), --enable-themes (currently: nothing),
- note on breaking short-circuit, cosmetics

Revision 1.82  2008/11/06 17:03:13  arekm
- release 3

Revision 1.81  2008/07/27 15:57:14  megabajt
- fix soname in symlinks
- release 2

Revision 1.80  2008/07/22 14:27:19  adamg
- updated to 2.3.1

Revision 1.79  2007-11-28 20:31:42  gotar
- renamed conflicting binaries (util-linux and tree)

Revision 1.78  2007-11-28 16:21:33  gotar
- packaged missing demos, removed files already in %{_examplesdir}/motif

Revision 1.77  2007-11-27 19:51:37  arekm
- rel 1; looks like unpackaged files are not needed (demos etc)

Revision 1.76  2007-11-27 18:59:15  qboosh
- updated bison patch, killed byacc thinko
- added parbuild patch
- pass proper fontconfig-config
- updated "compat" symlinks

Revision 1.75  2007-11-27 15:54:49  tommat
- up to 2.3.0
- removed outdated patches
- added freetype patch
- more BRs
- some files unpackaged, rel 0.1

Revision 1.74  2007-04-05 13:48:35  megabajt
- release 7

Revision 1.73  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.71  2006/08/23 18:59:57  havner
- [mass] do not require xinitrc-ng for window managers /usr/share/xsessions
  is in filesystem.spec and no xinitrc is required for wm to run.

Revision 1.70  2006/02/19 13:36:23  pluto
- release 6 for rebuild with versioned -compat provides.

Revision 1.69  2006/02/18 18:37:40  qboosh
- BR: ac >= 2.59-9 to avoid libXt BR

Revision 1.68  2006/02/18 18:33:25  qboosh
- added no-Xaw patch, removed outdated gcc34 patch, cleanups

Revision 1.67  2006/02/12 15:29:50  pluto
- release 5.

Revision 1.66  2006/02/03 22:00:33  pluto
- release 4.2.

Revision 1.65  2006/02/03 21:55:00  pluto
- adapted for modular xorg.

Revision 1.64  2005/12/28 18:21:13  adamg
- fix for CVE-2005-3964 (buffer overflows in libUil)

Revision 1.63  2005/06/05 22:56:03  averne
- added R/P

Revision 1.62  2005/06/05 22:39:44  averne
- cosmetics

Revision 1.61  2005/06/05 22:29:25  averne
- added compat package

Revision 1.60  2005/04/29 13:44:42  pluto
- release 4 for Th.

Revision 1.59  2004/08/07 19:32:08  havner
- rel 3 for R:xinitrc-ng

Revision 1.58  2004/07/25 09:25:20  qboosh
- added bison patch, use bison instead of byacc to build

Revision 1.57  2004/07/09 18:25:51  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.56  2004/07/09 17:56:21  havner
- removed wmstyle/mwm.names, it's obsolete now

Revision 1.55  2004/07/07 17:47:16  qboosh
- cleanup

Revision 1.54  2004/07/07 05:58:04  qboosh
- strict internal deps

Revision 1.53  2004/07/06 23:40:16  arekm
- yes, it's stable version now (previous 2.2.3 were BETA)
- yes, everything linked with openmotif needs to be recompiled again
- add BIG FAT warning about BETA versions usage

Revision 1.52  2004/07/06 23:02:09  arekm
- quote %%

Revision 1.51  2004/07/06 22:46:36  arekm
- updated

Revision 1.50  2004/04/27 12:42:31  adgor
- Added gcc34.patch
- Restored mwmrc.patch
- Aneone means to revise commented out patches stuff?

Revision 1.49  2004/04/24 21:33:42  arekm
- rel 1

Revision 1.48  2004/03/07 16:53:53  adgor
- Separated -libs
- Release 0.3

Revision 1.47  2004/02/09 21:51:38  qboosh
- -devel R: XFree86-devel

Revision 1.46  2004/02/09 21:27:07  qboosh
- added ac_find_motif.m4 (from lesstif) to -devel for lesstif compatibility
- removed some dead sped lines, release 0.2

Revision 1.45  2004/01/29 15:41:24  adgor
- wmconfig is obsolete

Revision 1.44  2004/01/21 20:40:39  arekm
- started update; builds but needs checking

Revision 1.43  2003/11/19 15:56:49  qboosh
- some FHS compliance, added *.la to -devel; release 0.8

Revision 1.42  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.41  2003/09/28 11:39:06  adgor
- added desktop file for gdm/kdm support

Revision 1.40  2003/07/05 10:57:41  kosmo
- fixed empty changelog in revision 1.39 (sorry about this)

Revision 1.39  2003/07/05 10:52:12  kosmo
- BR: XFree86

Revision 1.38  2003/06/27 21:14:46  qboosh
- BR: ac,am,lt

Revision 1.37  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 05:51:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/04/06 21:14:29  qboosh
- killed subshell

Revision 1.34  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.33  2003/02/05 05:58:27  juandon
- now it is in state 'buduje się'

Revision 1.32  2003/02/02 22:09:04  juandon
- update to 2.2
- changed URL for Source
- Release 0.7
- need more work!

Revision 1.31  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.30  2002/08/14 06:12:32  jack
- BR: flex

Revision 1.29  2002/07/21 17:36:05  kloczek
- remove %doc gzipping from %install

Revision 1.28  2002/07/13 14:41:24  marcus
- use new %%doc
- rel.8.

Revision 1.27  2002/07/13 14:37:11  mmazur
- fixed building on ppc

Revision 1.26  2002/03/26 01:18:29  ankry
- fixed mwm menu generation; release 7

Revision 1.25  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/02 20:44:28  ankry
- adding es/fr Group translations

Revision 1.23  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/17 20:19:22  qboosh
- some cosmetics, added workaround so build succeeds now
- note: byacc is required, doesn't build with bison...
- release 6

Revision 1.21  2001/11/23 12:34:36  qboosh
- s/Copyright/License/, adapterized, -mwm pl description

Revision 1.20  2001/09/20 17:49:20  filon
- added Provides: motif to main package
- added version information to Provides: motif-devel
- cosmetics

Revision 1.19  2001/09/17 22:27:54  filon
- added touch clients/mwm/mwm.man, this file should exist
- changed build patch: added one line to config/cf/host.def
- release 5, now builds

Revision 1.18  2001/06/14 09:12:45  klakier
- typo

Revision 1.17  2001/05/02 16:29:11  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/08/29 14:09:41  baggins
- release 4
- mwm requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.15  2000/06/24 13:03:50  baggins
- release 3
- added new mwmrc configs
- move mwm config to /etc/X11/mwm
- added patch to do so
- mwm requires wmconfig >= 0.9.8-3

Revision 1.14  2000/06/18 09:45:49  kloczek
- fiew cosmetics.

Revision 1.13  2000/06/18 07:21:58  cieciwa
- typo,
- added Obsoletes: lesstif in package devel, clients, mwm

Revision 1.12  2000/06/12 13:37:44  baggins
- release 2
- added provides motif-devel and motif-static

Revision 1.11  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/06/08 17:20:53  baggins
- changed app-defaults paths
- does not rewuire X 4.0

Revision 1.9  2000/06/07 21:51:23  baggins
- small cleanup in demos package

Revision 1.8  2000/06/07 20:28:49  baggins
- getsubres is a demo

Revision 1.7  2000/06/07 20:03:27  baggins
- requires Xlibs >= 4.0

Revision 1.6  2000/06/07 20:02:52  baggins
- (build)requires X >= 4.0

Revision 1.5  2000/06/07 19:31:11  baggins
- added clients, demos, mwm packages
- cleaned up build, install and files
- added build, mwm patches
- added ics addons

Revision 1.4  2000/06/06 18:26:49  baggins
- added makedepend patch
- it compiles!

Revision 1.3  2000/05/22 17:23:05  cieciwa
- startde compile process, but founding too many errors.
  Don't know in my machine - or in source.

Revision 1.2  2000/05/18 09:05:04  cieciwa
- added devel and static package.

Revision 1.1  2000/05/18 08:29:20  cieciwa
- initail spec.
